2012-02-12  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	* src/lib/poppler/epdf_poppler_page.cpp:
	* src/lib/poppler/epdf_poppler_postscript.cpp:
	use newer API if poppler >= 0.20 is installed

2012-02-12  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	* src/lib/mupdf/Makefile.am:
	* src/lib/poppler/Makefile.am:
	fix DSO link errors

2011-11-05  Vincent Torri  <doursse at users dot sf dot net>

	* Makefile.am:
	minor cleanup of the maintainer-clean rule

	* configure.ac:
	* src/lib/poppler/epdf_poppler_postscript.cpp:
	fix API use when poppler >= 0.15.2 is installed

	* src/Makefile.am:
	* src/lib/Makefile.am:
	* src/bin/Makefile.am:
	* src/plugins (deleted):
	* src/plugins/ewl (deleted):
	* src/plugins/ewl/ewl_pdf.c (deleted):
	* src/plugins/ewl/Makefile.am (deleted):
	* src/plugins/Makefile.am (deleted):
	* src/lib/ewl_pdf.c (deleted):
	* src/lib/ewl_pdf.h (deleted):
	* src/bin/epdf_ewl_test.c (deleted):
	* epdf-ewl.pc.in (deleted):
	remove Ewl support

2011-09-13 Rafael Antognolli <antognolli at profusion dot mobi>

	Make epdf_page_size_get() return the correct page size.

	* src/lib/poppler/epdf_poppler_page.cpp:
	Return the page size using page->makeBox(), instead of
	page->getMediaHeigh() and page->getMediaWidth().

2011-02-04  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	Support Evil inclusion and better pkg-config support.

	* src/lib/mupdf/epdf_mupdf_document.c:
	Use Evil for asprintf on Windows.

	* src/lib/mupdf/epdf_mupdf_index.c:
	use correctly Eina_List lists.

2010-07-02  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/epdf_esmart_test.c:
	* src/bin/epdf_evas_test.c:
	Fix returned type of callbacks

	* src/lib/mupdf/Makefile.am:
	fix parallel builds with the mupdf backend

2010-06-25  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/mupdf/epdf_mupdf_page.c:
	remove time measurement

2010-06-09  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/mupdf/Makefile.am:
	* src/lib/mupdf/epdf_mupdf_document.c:
	* src/lib/mupdf/epdf_mupdf_fontinfo.c:
	* src/lib/mupdf/epdf_mupdf_fontinfo.c (added):
	add missing functions in mupdf backend (dummy ones)

2010-06-07  Vincent Torri  <doursse at users dot sf dot net>

	Add mupdf 0.5 backend. That backend is statically linked
	to epdf, hence epdf will significantly be bigger with that
	backend than with poppler. It has also less features than
	poppler (for now). On the other hand, smaller memory
	footprint, better output, and faster, especially with embedded
	devices.

	* AUTHORS:
	* configure.ac:
	* src/bin/epdf_evas_test.c:
	* src/lib/Makefile.am:
	* src/lib/mupdf/Makefile.am:
	* src/lib/mupdf/epdf_mupdf_document.c:
	* src/lib/mupdf/epdf_mupdf_index.c:
	* src/lib/mupdf/epdf_mupdf_main.c:
	* src/lib/mupdf/epdf_mupdf_page.c:
	* src/lib/mupdf/epdf_mupdf_private.h:
	mupdf 0.5 bindings, by Alexander 'LunohoD' Kerner,
	modified a bit by myself.

	* src/lib/epdf_main.h:
	* src/lib/poppler/epdf_poppler_main.cpp:
	* src/lib/poppler/epdf_poppler_page.cpp:
	* src/lib/poppler/epdf_poppler_private.h:
	API break: epdf_poppler_version_get() renamed as
	epdf_backend_version_get().

	* src/lib/mupdf/mupdf-0.5 (added):
	mupdf 0.5

2010-04-23  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/poppler/epdf_poppler_document.cpp:
	remove useless __UNUSED__ definition

2010-04-23  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	* src/lib/Makefile.am:
	auto import symbols on Windows, used m4 defined version
	numbers.

	* src/lib/poppler/Makefile.am:
	* src/lib/poppler/epdf_poppler_document.cpp:
	* src/lib/poppler/epdf_poppler_fontinfo.cpp:
	* src/lib/poppler/epdf_poppler_index.cpp:
	* src/lib/poppler/epdf_poppler_page.cpp:
	* src/lib/poppler/epdf_poppler_page_transition.cpp:
	* src/lib/poppler/epdf_poppler_postscript.cpp:
	Forgot to rename the files...
	

2010-04-23  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	* src/lib/Makefile.am:
	* src/lib/poppler/Makefile.am:
	* src/lib/poppler/epdf_poppler_document.cpp:
	* src/lib/poppler/epdf_poppler_fontinfo.cpp:
	* src/lib/poppler/epdf_poppler_index.cpp:
	* src/lib/poppler/epdf_poppler_main.cpp:
	* src/lib/poppler/epdf_poppler_page.cpp:
	* src/lib/poppler/epdf_poppler_page_transition.cpp:
	* src/lib/poppler/epdf_poppler_postscript.cpp:
	* src/lib/poppler/epdf_poppler_private.h:
	* src/lib/poppler (added):
	* src/lib/poppler/epdf_poppler_private.h (added):
	* src/lib/poppler/epdf_poppler_fontinfo.cpp (added):
	* src/lib/poppler/epdf_poppler_main.cpp (added):
	* src/lib/poppler/epdf_poppler_page_transition.cpp (added):
	* src/lib/poppler/epdf_poppler_index.cpp (added):
	* src/lib/poppler/Makefile.am (added):
	* src/lib/poppler/epdf_poppler_postscript.cpp (added):
	* src/lib/poppler/epdf_poppler_page.cpp (added):
	* src/lib/poppler/epdf_poppler_document.cpp (added):
	* src/lib/epdf_index.cpp (deleted):
	* src/lib/epdf_postscript.cpp (deleted):
	* src/lib/epdf_page.cpp (deleted):
	* src/lib/epdf_document.cpp (deleted):
	* src/lib/epdf_private.h (deleted):
	* src/lib/epdf_fontinfo.cpp (deleted):
	* src/lib/epdf_main.cpp (deleted):
	* src/lib/epdf_page_transition.cpp (deleted):
	Move poppler code to src/lib/poppler. First step before
	the addition of the mupdf backend.

2010-04-21  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	* src/bin/Makefile.am:
	remove ecore dependency in the library and add it to the
	binaries

2009-11-19  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Makefile.am:
	* src/plugins/ewl/Makefile.am:
	fix distcheck rules, minor cleanups

2009-11-18  Vincent Torri  <doursse at users dot sf dot net>

	* AUTHORS:
	add some authors...

	* configure.ac:
	* src/bin/Makefile.am:
	* src/lib/Makefile.am:
	* src/plugins/Makefile.am:
	* src/plugins/epsilon (deleted):
	* src/plugins/epsilon/epsilon_thumbnailer.c (deleted):
	* src/plugins/epsilon/Makefile.am (deleted):
	* src/plugins/epsilon/.cvsignore (deleted):
	* src/lib/etk_pdf.c (deleted):
	* src/lib/etk_pdf.h (deleted):
	* src/bin/epdf_etk_test.c (deleted):
	* epdf-etk.pc.in (deleted):
	remove etk and epsilon support

2009-11-07  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/epdf_document.cpp:
	* src/lib/epdf_document.h:
	* src/bin/epdf_evas_test.c:
	* configure.ac:
	poppler 0.12 introduced an API breakage when getting
	the version of the PDF document

2009-10-05  Vincent Torri  <doursse at users dot sf dot net>

	reviewed by: Vincent Torri
	patch by: Mikhail Gusarov

	* src/lib/epdf_main.cpp:
	* src/lib/epdf_main.h:

2009-09-12  Gustavo Barbieri

	* src/lib/epdf_main.cpp:
	use eina_init() instead of eina_list_init(), which
	is deprecated now.

2009-06-14  Gustavo Barbieri

	* src/lib/esmart_pdf.h:
	* src/lib/esmart_pdf.c:
	update to Eina_Bool

2009-05-14  Vincent Torri  <doursse at users dot sf dot net>

	reviewed by: Vincent Torri
	patch by: Rawnar, modified by Vincent Torri

	* src/lib/epdf_main.cpp:
	do not pass NULL to GlobalParams()

	* src/lib/esmart_pdf.c:
	* src/lib/ewl_pdf.c:
	add epdf_init() and epdf_shutdown() calls to init and
	shutdown of the esmart and ewl objects

2009-05-14  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	requires poppler >= 0.10

2009-03-29  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/epdf_document.cpp:
	* src/lib/epdf_main.cpp:
	move initialization of globalParams from
	epdf_document to epdf_main

	* src/lib/epdf_page.cpp:
	initialize list to NULL

2009-03-28  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/epdf_evas_test.c:
	* src/lib/Epdf.h:
	* src/lib/epdf_document.cpp:
	* src/lib/epdf_document.h:
	* src/lib/epdf_fontinfo.cpp:
	* src/lib/epdf_index.cpp:
	* src/lib/epdf_index.h:
	* src/lib/epdf_page.cpp:
	* src/lib/epdf_page.h:
	* src/lib/epdf_page_transition.cpp:
	* src/lib/epdf_postscript.cpp:
	* src/lib/epdf_private.h:
	* src/lib/esmart_pdf.c:
	* src/lib/esmart_pdf.h:
	move to eina data types and formatting

	* src/lib/epdf_main.cpp:
	* src/lib/epdf_main.h:
	add function to initialize and shut down
	epdf as eina_list must be initialize / shut down

2009-03-28  Vincent Torri  <doursse at users dot sf dot net>

	* Doxyfile:
	remove Doxyfile from the top level directory

	* src/bin/epdf_evas_test.c:
	formatting

	* src/lib/epdf_page.cpp:
	set correctly the evas object data after having
	updated it

	* src/lib/ewl_pdf.c:
	* src/plugins/ewl/ewl_pdf.c:
	fix ewl code wrt the new api

2009-01-16  Vincent Torri  <doursse at users dot sf dot net>

	reviewed by: Vincent Torri
	patch by: Alexander Kerner <lunohod@openinkpot.org>

	* epdf.pc.in:
	typo

2009-01-13  Vincent Torri  <doursse at users dot sf dot net>

	* COPYING.LESSER:
	* LICENCE:
	the LGPL licence is used for the source files that are in
	src/lib and src/plugins and the GPL licence is used for
	the source files that are in src/bin

2009-01-13  Vincent Torri  <doursse at users dot sf dot net>

	* Makefile.am:
	* autogen.sh:
	* configure.ac:
	* epdf-etk.pc.in:
	* epdf-ewl.pc.in:
	* m4/ac_attribute.m4:
	* m4/efl_doxygen.m4:
	* src/bin/Makefile.am:
	* src/bin/epdf_ewl_test.c:
	* src/lib/Makefile.am:
	separate the ewl and etk widgets from epdf.
	use epdf-ewl. pc and epf-etk.pc files to get
	the correct flags to pass to gcc.

	* src/plugins/epsilon/Makefile.am:
	* src/plugins/ewl/Makefile.am:
	add always -no-undefined.

	* doc/Doxyfile:
	* doc/Makefile.am:
	* doc/e.css:
	* doc/foot.html:
	* doc/head.html:
	* doc/img/_.gif:
	* doc/img/b.png:
	* doc/img/eet.png:
	* doc/img/eet_big.png:
	* doc/img/eet_mini.png:
	* doc/img/eet_small.png:
	* doc/img/hilite.png:
	* doc/img/n.gif:
	* doc/img/n.png:
	* doc/img/t.gif:
	* doc/img/t.png:
	* doc/img/tl.gif:
	* doc/img/tl.png:
	add doc rule to build the documentation.

2009-01-09  Mikhail Gusarov <dottedmag at dottedmag dot net>

	reviewed by: Vincent Torri  <doursse at users dot sf dot net>
	patch by: Mikhail Gusarov <dottedmag at dottedmag dot net>

	* src/lib/epdf_page.cpp:
	Remove timing printfs.
	Fix segfault in page_scale_get with page == 0.

	* src/lib/ewl_pdf.c:
	correct size hints for landscape orientation.
	PDF documents without an outline are perfectly valid.

2008-07-14  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/epdf_esmart_test.c: (main):
	* src/lib/esmart_pdf.c: (esmart_pdf_file_set):
	* src/lib/esmart_pdf.h:
	esmart_pdf_file_set() returns a value hat indicates success
	or failure. Fix a leak when this function is called several
	times. Doc and test updated.

2008-07-13  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/epdf_page.cpp:
	fix test, as page->page can be equal to 0

	* src/lib/ewl_pdf.c:
	fix tests and doc

	* src/lib/etk_pdf.c:
	formatting

	* src/lib/epdf_page.h:
	* src/lib/esmart_pdf.c:
	fix doc

	* src/bin/epdf_ewl_test.c:
	destroy an ecore_list, not a widget

	* src/plugins/epsilon/epsilon_thumbnailer.c:
	move some header files

2008-05-25  Vincent Torri  <doursse at users dot sf dot net>

	* src/plugins/epsilon/epsilon_thumbnailer.c:
	(epsilon_generate_thumb):
	update epsilon plugin to newest epsilon api

2008-05-25  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/epdf_etk_test.c: (main):
	* src/bin/epdf_ewl_test.c: (main):
	set the scale to 0.5 to test the resizing of the widgets

	* src/lib/etk_pdf.c: (etk_pdf_file_set), (etk_pdf_page_set),
	(etk_pdf_page_get), (etk_pdf_size_get), (etk_pdf_orientation_set),
	(etk_pdf_orientation_get), (etk_pdf_scale_set),
	(etk_pdf_scale_get), (etk_pdf_page_next), (etk_pdf_page_previous),
	(etk_pdf_search_text_set), (etk_pdf_search_first_page_set),
	(etk_pdf_search_is_case_sensitive), (etk_pdf_search_next),
	(etk_pdf_pdf_document_get), (etk_pdf_pdf_page_get),
	(etk_pdf_pdf_index_get), (_etk_pdf_destructor), (_etk_pdf_load):
	* src/lib/etk_pdf.h:
	* src/lib/ewl_pdf.c: (ewl_pdf_file_set), (ewl_pdf_search_next),
	(ewl_pdf_configure_cb), (ewl_pdf_reveal_cb):
	* src/lib/ewl_pdf.h:
	formatting
	take scale into account when dealing with ewl widget

2008-05-25  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/epdf_index.cpp:
	* src/lib/epdf_postscript.cpp:
	add guards around config.h

	* src/lib/ewl_pdf.c:
	fix initial size of the ewl widget

	* src/bin/epdf_ewl_test.c:
	clean ewl test

2008-05-22  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/epdf_esmart_test.c: (main):
	error from copy paste

	* src/lib/Epdf.h:
	* src/lib/etk_pdf.c: (_etk_pdf_destructor):
	* src/lib/etk_pdf.h:
	* src/lib/ewl_pdf.c: (ewl_pdf_file_set), (ewl_pdf_page_set),
	(ewl_pdf_pdf_size_get), (ewl_pdf_page_previous),
	(ewl_pdf_pdf_document_get), (ewl_pdf_pdf_page_get),
	(ewl_pdf_pdf_index_get):
	* src/lib/ewl_pdf.h:
	more checks
	documentation
	formatting

2008-05-22  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/epdf_esmart_test.c: (main):
	* src/bin/epdf_evas_test.c: (main):
	correctly init / shutdown the efl
	improve the sizing of the ecore_evas

	* src/lib/epdf_document.cpp:
	* src/lib/epdf_index.cpp:
	* src/lib/epdf_page.cpp:
	* src/lib/epdf_page_transition.cpp:
	include correctly config.h

	* src/lib/ewl_pdf.c: (ewl_pdf_init), (ewl_pdf_file_set),
	(ewl_pdf_page_set), (ewl_pdf_page_get), (ewl_pdf_pdf_size_get),
	(ewl_pdf_orientation_set), (ewl_pdf_orientation_get),
	(ewl_pdf_scale_set), (ewl_pdf_scale_get), (ewl_pdf_page_next),
	(ewl_pdf_page_previous), (ewl_pdf_search_text_set),
	(ewl_pdf_search_first_page_set),
	(ewl_pdf_search_is_case_sensitive), (ewl_pdf_search_next),
	(ewl_pdf_pdf_document_get), (ewl_pdf_pdf_page_get),
	(ewl_pdf_pdf_index_get), (ewl_pdf_configure_cb),
	(ewl_pdf_reveal_cb), (ewl_pdf_destroy_cb):
	* src/lib/ewl_pdf.h:
	render in the configure callback and not in the reveal one.
	formatting

	* src/plugins/epsilon/epsilon_thumbnailer.c:
	(epsilon_generate_thumb):
	remove uneeded variable and render the fisrt page

2008-05-21  Vincent Torri  <doursse at users dot sf dot net>

	* configure.in:
	* src/bin/Makefile.am:
	* src/lib/Makefile.am:
	* src/plugins/epsilon/Makefile.am:
	* src/plugins/ewl/Makefile.am:
	fix autotools

	* Doxyfile:
	* src/lib/Epdf.h:
	* src/lib/epdf_document.cpp:
	* src/lib/epdf_document.h:
	* src/lib/epdf_fontinfo.cpp:
	* src/lib/epdf_fontinfo.h:
	* src/lib/epdf_index.cpp:
	* src/lib/epdf_index.h:
	* src/lib/epdf_main.h:
	* src/lib/epdf_page.cpp:
	* src/lib/epdf_page.h:
	* src/lib/epdf_page_transition.h:
	* src/lib/epdf_postscript.cpp:
	* src/lib/epdf_postscript.h:
	* src/lib/esmart_pdf.c: (esmart_pdf_size_get), (esmart_pdf_render),
	(esmart_pdf_pdf_index_get):
	* src/lib/esmart_pdf.h:
	* src/lib/etk_pdf.c: (etk_pdf_file_set), (etk_pdf_page_get),
	(etk_pdf_size_get), (etk_pdf_page_previous), (etk_pdf_search_next),
	(_etk_pdf_load):
	* src/lib/etk_pdf.h:
	* src/lib/ewl_pdf.c: (ewl_pdf_new), (ewl_pdf_init),
	(ewl_pdf_file_set), (ewl_pdf_file_get), (ewl_pdf_page_set),
	(ewl_pdf_page_get), (ewl_pdf_pdf_size_get),
	(ewl_pdf_orientation_set), (ewl_pdf_orientation_get),
	(ewl_pdf_scale_set), (ewl_pdf_scale_get), (ewl_pdf_page_next),
	(ewl_pdf_page_previous), (ewl_pdf_search_text_set),
	(ewl_pdf_search_first_page_set),
	(ewl_pdf_search_is_case_sensitive), (ewl_pdf_search_next),
	(ewl_pdf_pdf_document_get), (ewl_pdf_pdf_page_get),
	(ewl_pdf_pdf_index_get), (ewl_pdf_configure_cb),
	(ewl_pdf_reveal_cb), (ewl_pdf_obscure_cb), (ewl_pdf_destroy_cb):
	* src/lib/ewl_pdf.h:
	api break : epdf_page_size_get instead of
	epdf_page_width_get and epdf_page_height_get
	add const when needed
	fix documentation
	change 1 tabulation to 8 spaces in ewl widget

	* src/bin/epdf_esmart_test.c: (main):
	* src/bin/epdf_evas_test.c: (main), (document_info_print):
	* src/bin/epdf_ewl_test.c: (_change_page_cb):
	* src/plugins/epsilon/epsilon_thumbnailer.c:
	(epsilon_generate_thumb):
	update to new api

2008-04-20  Vincent Torri  <doursse at users dot sf dot net>

	rename poppler* files to epdf* files.
	remove poppler 0.4 support (too old)

	* configure.in:
	add __attribute__ check

	* src/bin/epdf_esmart_test.c: (main), (app_resize):
	* src/bin/epdf_evas_test.c: (main), (document_info_print):
	* src/bin/epdf_ewl_test.c: (_tree_fill), (main), (_change_page_cb):
	* src/lib/Epdf.h:
	* src/lib/Makefile.am:
	* src/lib/esmart_pdf.c: (esmart_pdf_init), (esmart_pdf_file_set),
	(esmart_pdf_page_set), (esmart_pdf_page_get),
	(esmart_pdf_size_get), (esmart_pdf_orientation_set),
	(esmart_pdf_orientation_get), (esmart_pdf_scale_set),
	(esmart_pdf_scale_get), (esmart_pdf_page_next),
	(esmart_pdf_page_previous), (esmart_pdf_pdf_document_get),
	(esmart_pdf_pdf_page_get), (esmart_pdf_pdf_index_get),
	(esmart_pdf_render), (_smart_clip_unset):
	* src/lib/esmart_pdf.h:
	* src/lib/etk_pdf.c: (etk_pdf_file_set), (etk_pdf_page_set),
	(etk_pdf_page_get), (etk_pdf_size_get), (etk_pdf_orientation_set),
	(etk_pdf_orientation_get), (etk_pdf_scale_set),
	(etk_pdf_scale_get), (etk_pdf_page_next), (etk_pdf_page_previous),
	(etk_pdf_pdf_document_get), (etk_pdf_pdf_page_get),
	(etk_pdf_pdf_index_get), (_etk_pdf_constructor),
	(_etk_pdf_realize_cb), (_etk_pdf_unrealize_cb), (_etk_pdf_load):
	* src/lib/etk_pdf.h:
	* src/lib/ewl_pdf.c: (ewl_pdf_init), (ewl_pdf_file_set),
	(ewl_pdf_file_get), (ewl_pdf_page_set), (ewl_pdf_page_get),
	(ewl_pdf_pdf_size_get), (ewl_pdf_orientation_set),
	(ewl_pdf_orientation_get), (ewl_pdf_scale_set),
	(ewl_pdf_scale_get), (ewl_pdf_page_next), (ewl_pdf_page_previous),
	(ewl_pdf_search_next), (ewl_pdf_pdf_document_get),
	(ewl_pdf_pdf_page_get), (ewl_pdf_pdf_index_get),
	(ewl_pdf_configure_cb), (ewl_pdf_reveal_cb):
	* src/lib/ewl_pdf.h:
	* src/plugins/epsilon/epsilon_thumbnailer.c:
	(epsilon_generate_thumb):
	big fat API break. Add epdf_page_render_slice to render only a
	part of a page. epdf_page_render renders the whole page. *_set
	functions change the epdf context only. epdf_page_render will use
	that context.

2008-01-28  Vincent Torri  <doursse at users dot sf dot net>

	* src/plugins/ewl/ewl_pdf.c:
	replace ewl_tree2.h to ewl_tree.h too.

2008-01-27  Vincent Torri  <doursse at users dot sf dot net>

	* configure.in:
	add bzip2 archive

	* src/bin/Makefile.am:
	* src/lib/Makefile.am:
	* src/plugins/epsilon/Makefile.am:
	* src/plugins/ewl/Makefile.am:
	clean Makefile.am a bit

	* src/bin/epdf_ewl_test.c: (_tree_fill), (tree_data_fetch),
	(tree_data_count_get), (tree_data_expandable_get),
	(tree_data_expansion_fetch), (main):
	rename tree2 to tree

2007-12-17  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/ewl_pdf.c:
	Fix ewl macros calls

2007-10-09  Vincent Torri  <doursse at users dot sf dot net>

	* configure.in:
	Reverse the change of version of poppler.

2007-10-06  Vincent Torri  <doursse at users dot sf dot net>

	* configure.in:
	* src/bin/Makefile.am:
	* src/lib/Makefile.am:
	* src/plugins/epsilon/Makefile.am:
	* src/plugins/ewl/Makefile.am:
	make epdf work on Windows. Add libtool versioning.
	Check poppler 0.5.9 instead of 0.6. configure fails
	if the xpdf headers are not found. Add options to
	configure to disable ewl or etk.

	* src/lib/poppler_index.cpp:
	remove useless header.

	* src/bin/epdf_evas_test.c: (main):
	if software_x11 is not found, use software_ddraw.

2007-09-29  Vincent Torri  <doursse at users dot sf dot net>

	* configure.in:
	* src/lib/poppler_document.cpp:
	* src/lib/poppler_index.cpp:
	* src/lib/poppler_page.cpp:
	* src/lib/poppler_page_transition.cpp:
	* src/lib/poppler_postscript.cpp:
	support poppler 0.6 and 0.5.4.

	* src/lib/etk_pdf.c: (etk_pdf_type_get):
	adding NULL to the last parameter of etk_type_new. I don't
	know if it's the correct value as there's no doc about that
	param, but it seems to work.

2007-09-19	Michael Lauer  <mickey at vanille-media dot de>

	* src/lib/poppler_page.cpp: (epdf_page_text_get):
	libpoppler 0.6 needs a selectionStyle parameter.

2007-08-30  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/epdf_evas_test.c: (main):
	* src/lib/esmart_pdf.c: (_smart_page_render):
	* src/lib/etk_pdf.c: (etk_pdf_search_next), (_etk_pdf_load):
	* src/lib/ewl_pdf.c: (ewl_pdf_search_next), (ewl_pdf_reveal_cb):
	missing removal of remove epdf_document_page_get().

	* src/plugins/ewl/ewl_pdf.c: (create_test), (create_pdf_fd_cb),
	(create_pdf_fd_window_response):
	fill the entry with the filename, remove trailing spaces and
	remove some comments.

2007-08-30  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/epdf_etk_test.c: (main), (_tree_fill):
	remove trailing spaces

	* src/lib/poppler_document.cpp:
	* src/lib/poppler_document.h:
	* src/plugins/epsilon/epsilon_thumbnailer.c:
	(epsilon_generate_thumb):
	remove epdf_document_page_get from the api (duplicate of
	epdf_page_new). Update epsilon thumbnailer.

2007-08-30  Vincent Torri  <doursse at users dot sf dot net>

	* acinclude.m4:
	* configure.in:
	use AC_LIBTOOL_LANG_F77_CONFIG instead of
	an m4 macro

	* src/plugins/Makefile.am:
	add a new line at end of file
